org.apache.flume.conf.sink

## Enum SinkProcessorConfiguration.SinkProcessorConfigurationType

- java.lang.Object
- - java.lang.Enum<SinkProcessorConfiguration.SinkProcessorConfigurationType>
  - - org.apache.flume.conf.sink.SinkProcessorConfiguration.SinkProcessorConfigurationType

- All Implemented Interfaces:
    Serializable, Comparable<SinkProcessorConfiguration.SinkProcessorConfigurationType>
  Enclosing class:
    SinkProcessorConfiguration

      public static enum SinkProcessorConfiguration.SinkProcessorConfigurationType
      extends Enum<SinkProcessorConfiguration.SinkProcessorConfigurationType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEFAULT` Standard processor
    `FAILOVER` Failover processor
    `LOAD_BALANCE` Load balancing channel selector

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SinkProcessorConfiguration` | `getConfiguration(String name)`
    `String` | `getSinkProcessorConfigurationType()`
    `static SinkProcessorConfiguration.SinkProcessorConfigurationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SinkProcessorConfiguration.SinkProcessorConfigurationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOAD_BALANCE

          public static final SinkProcessorConfiguration.SinkProcessorConfigurationType LOAD_BALANCE

      Load balancing channel selector

    - #### FAILOVER

          public static final SinkProcessorConfiguration.SinkProcessorConfigurationType FAILOVER

      Failover processor
      See Also:
        `FailoverSinkProcessor`

    - #### DEFAULT

          public static final SinkProcessorConfiguration.SinkProcessorConfigurationType DEFAULT

      Standard processor
      See Also:
        `DefaultSinkProcessor`

  - ### Method Detail

    - #### values

          public static SinkProcessorConfiguration.SinkProcessorConfigurationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SinkProcessorConfiguration.SinkProcessorConfigurationType c : SinkProcessorConfiguration.SinkProcessorConfigurationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SinkProcessorConfiguration.SinkProcessorConfigurationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getSinkProcessorConfigurationType

          public String getSinkProcessorConfigurationType()

    - #### getConfiguration

          public SinkProcessorConfiguration getConfiguration(String name)
                                                      throws ConfigurationException

      Throws:
        `ConfigurationException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.